Create multi invoice payment link.

Prev Next
Post
/customers/{customer_id}/multi_invoice_payment_links

Creates a new multi invoice payment link.

Security
OAuth

OAuth Grant type use on OpenAPI subscriptions, Private JWT

FlowClient Credentials
Token URL$(host)/oauth/token
Scopes:
multiinvoicepaymentlinks.createCreating multi invoice payment links information via open API
Header parameters
x-client-id
string (uuid) Required

Client ID header.

Min length36
Max length36
Pattern^[a-fA-F0-9]{8}-[a-fA-F0-9]{4}-[a-fA-F0-9]{4}-[a-fA-F0-9]{4}-[a-fA-F0-9]{12}$
Path parameters
customer_id
stringRequired

Customer unique uuid.

Min length1
Max length50
Pattern^[a-zA-Z0-9\-_]*$
Examplepagonxt_esESB76134758
Body parameters
createMultiInvoicePaymentLinkExample

Update multi invoice payment link.

Update multi invoice payment link example.

{
  "currencyCode": "EUR",
  "description": "DESCRIPTION",
  "successCallback": "https://pagonext.com/university/success",
  "failureCallback": "https://pagonext.com/university/failure",
  "externalPaymentReference": "REF",
  "paymentMethods": [
    "BANK_TRANSFER",
    "CARD_PAYMENT"
  ],
  "expirationDate": "2026-01-30T10:49:48.261Z",
  "realAccountId": "8bd407a4-3cfb-4ca9-aeca-0e07c3ccf408",
  "paymentSubjectId": "df6ebe87-7a29-4812-9d14-e2c5f78d8260",
  "invoices": "Invoice_Primary_Identifier;Invoice_Secondary_Identifier;Issuer_Name;Amount;Issue_Datetime;Due_Datetime\nPRIMARY_ID;SECOND_ID;FULL NAME;1.99;2025-07-01T00:00:00.000Z;2025-08-01T00:00:00.000Z"
}
object
currencyCode
string Required

Currency code. The value is the alpha-3 format defined in ISO 4217 (https://www.iso.org/iso-4217-currency-codes.html).

Min length3
Max length3
Pattern^[A-Z]{3}$
ExampleEUR
paymentSubjectId
string (uuid) Required

Payment subject associated to this multi invoice payment link.

Min length36
Max length36
Pattern^[a-fA-F0-9]{8}-[a-fA-F0-9]{4}-[a-fA-F0-9]{4}-[a-fA-F0-9]{4}-[a-fA-F0-9]{12}$
Example2507b89c-b680-46df-9505-e0b6f78cf295
realAccountId
string (uuid) Required

Real account associated to this multi invoice payment link.

Min length36
Max length36
Pattern^[a-fA-F0-9]{8}-[a-fA-F0-9]{4}-[a-fA-F0-9]{4}-[a-fA-F0-9]{4}-[a-fA-F0-9]{12}$
Example2507b89c-b680-46df-9505-e0b6f78cf295
successCallback
string

It is a URL for redirection in case the payment is positive, to an address set by the customer itself.

Max length2048
Pattern^(www|http:|https:)+[^\s]+[\w]$
Examplehttps://pagonxt.com/university/redirection/success
failureCallback
string

It is a URL for redirection in case the payment is negative, to an address set by the customer itself.

Max length2048
Pattern^(www|http:|https:)+[^\s]+[\w]$
Examplehttps://pagonxt.com/university/redirection/failure
externalPaymentReference
string

External payment reference provided by customer.

Max length50
Pattern^[a-zA-Z0-9\-_]*$
ExampleEXTERNALREF1
description
string

Payment link purpose.

Min length0
Max length50
Pattern^[a-zA-Z0-9 ?:()., +-]*$
ExampleCourse fees.
expirationDate
string (date-time)

Date and time when the payment link expires.

The value uses the data format defined in ISO 8601 and is expressed in UTC time:

'YYYY-MM-DDThh:mm:ss.sssZ'.

Example2024-11-26T10:02:03.482Z
paymentMethods
Array of string Required

Payment methods available for the payment link.

Max items3
Example[ "BANK_TRANSFER", "LOCAL_TRANSFER" ]
string
Valid values[ "BANK_TRANSFER", "LOCAL_TRANSFER", "CARD_PAYMENT" ]
invoices
string (binary) Required

Csv file containing invoices.

Max length5000000
Responses
201

Multi invoice payment link response.

{
  "id": "41ac864b-7698-4cb5-880f-e383204ae67d",
  "currencyCode": "EUR",
  "realAccountId": "8bd407a4-3cfb-4ca9-aeca-0e07c3ccf408",
  "customerId": "pagonxt_esESG19966464",
  "paymentSubjectId": "df6ebe87-7a29-4812-9d14-e2c5f78d8260",
  "description": "DESCRIPTION",
  "status": "UPDATING_INVOICES",
  "url": "https://onetrade.dev.api.pagonxt.com/em-cs-payment-form/em-cs-payment-form/pagonxt/init-multi-invoice-payment?v=0f6466db82b33f00b6ea9b53983b08acd43a2bd224d15c8a96b166a957376391&mid=B_OenbyfJZjR1h&cid=pagonxt_esESG19966464",
  "expirationDate": "2026-01-26T11:10:54.384Z",
  "successCallback": "https://pagonext.com/university/success",
  "failureCallback": "https://pagonext.com/university/failure",
  "externalPaymentReference": "REF",
  "paymentMethods": [
    "BANK_TRANSFER"
  ],
  "totalAmount": 33,
  "selectedAmount": 0,
  "totalInvoiceCount": 22,
  "selectedInvoiceCount": 0,
  "paymentSubjectExternalId": "extId",
  "createdAt": "2026-01-23T11:10:54.372Z",
  "updatedAt": "2026-01-23T11:10:54.372Z",
  "_links": {
    "self": {
      "href": "https://onetrade.dev.api.pagonxt.com/?_offset=0&_limit=10"
    }
  }
}
Expand All
object
createdAt
string (date-time)

Date and time when the entry was created.

Max length24
Pattern^[0-9]{4}-[0-9]{2}-[0-9]{2}T[0-9]{2}:[0-9]{2}:[0-9]{2}.[0-9]{3}Z$
Example2024-10-04T10:02:03.482Z
updatedAt
string (date-time)

Date and time when the entry was updated.

Max length24
Pattern^[0-9]{4}-[0-9]{2}-[0-9]{2}T[0-9]{2}:[0-9]{2}:[0-9]{2}.[0-9]{3}Z$
Example2024-10-04T10:02:03.482Z
id
string (uuid)

A Universally Unique Identifier (UUID) is a 128-bit label used to uniquely identify information in computer systems without a central registration authority. Standardized by RFC 9562 (formerly RFC 4122), UUIDs are usually represented as 32 hexadecimal digits separated by hyphens into five groups (e.g., 550e8400-e29b-41d4-a716-446655440000). They ensure extremely low collision probability, making them ideal for distributed systems.

Min length36
Max length36
Pattern^[a-fA-F0-9]{8}-[a-fA-F0-9]{4}-[a-fA-F0-9]{4}-[a-fA-F0-9]{4}-[a-fA-F0-9]{12}$
Example2507b89c-b680-46df-9505-e0b6f78cf295
customerId
string

Customer unique uuid.

Min length1
Max length50
Pattern^[a-zA-Z0-9\-_]*$
Examplepagonxt_esESB76134758
totalAmount
number (float)

Total added amount of all the invoices of this multi invoice payment link.

Minimum1
Maximum2147483647
Example250.5
selectedAmount
number (float)

Total selected to pay amount of this multi invoice payment link.

Minimum0
Maximum2147483647
Example250.5
totalInvoiceCount
integer (int32)

Total number of invoices of this multi invoice payment link.

Minimum1
Maximum2147483647
Example12
selectedInvoiceCount
integer (int32)

Number of selected to pay invoices of this multi invoice payment link.

Minimum0
Maximum2147483647
Example12
currencyCode
string

Currency code. The value is the alpha-3 format defined in ISO 4217 (https://www.iso.org/iso-4217-currency-codes.html).

Min length3
Max length3
Pattern^[A-Z]{3}$
ExampleEUR
paymentSubjectId
string (uuid)

Payment subject associated to this multi invoice payment link.

Min length36
Max length36
Pattern^[a-fA-F0-9]{8}-[a-fA-F0-9]{4}-[a-fA-F0-9]{4}-[a-fA-F0-9]{4}-[a-fA-F0-9]{12}$
Example2507b89c-b680-46df-9505-e0b6f78cf295
paymentSubjectExternalId
string

Payment subject external id associated to this multi invoice payment link.

Min length1
Max length255
Pattern^[a-zA-Z0-9\-_]*$
Example1234-abcd
realAccountId
string (uuid)

Real account associated to this multi invoice payment link.

Min length36
Max length36
Pattern^[a-fA-F0-9]{8}-[a-fA-F0-9]{4}-[a-fA-F0-9]{4}-[a-fA-F0-9]{4}-[a-fA-F0-9]{12}$
Example2507b89c-b680-46df-9505-e0b6f78cf295
status
string

Payment link status.

The possible values are:

  • GENERATED = Payment link has been created but has not yet been used to make a payment.
  • COMPLETED = Payment link has been payed.
  • CANCELLED = Payment link has been cancelled and cannot been used to make a payment.
  • IN_PROGRESS = Payment link is in a payment process.
  • UPDATING_INVOICES = Payment link is creating async invoices.
Valid values[ "GENERATED", "CANCELLED", "IN_PROGRESS", "COMPLETED", "UPDATING_INVOICES" ]
Default"GENERATED"
ExampleGENERATED
successCallback
string

It is a URL for redirection in case the payment is positive, to an address set by the customer itself.

Max length2048
Pattern^(www|http:|https:)+[^\s]+[\w]$
Examplehttps://pagonxt.com/university/redirection/success
failureCallback
string

It is a URL for redirection in case the payment is negative, to an address set by the customer itself.

Max length2048
Pattern^(www|http:|https:)+[^\s]+[\w]$
Examplehttps://pagonxt.com/university/redirection/failure
paymentReference
string

Payment reference used by PagoNxt for reconciliation purposes.

Max length50
Pattern^PN[2-9]{4}[A-HJ-KM-NP-Za-hj-km-np-z]{4}$
ExamplePN2234ABCA
externalPaymentReference
string

External payment reference provided by customer.

Max length50
Pattern^[a-zA-Z0-9\-_]*$
ExampleEXTERNALREF1
description
string

Payment link purpose.

Min length0
Max length50
Pattern^[a-zA-Z0-9 ?:()., +-]*$
ExampleCourse fees.
expirationDate
string (date-time)

Date and time when the multi invoice payment link expires.

The value uses the data format defined in ISO 8601 and is expressed in UTC time:

'YYYY-MM-DDThh:mm:ss.sssZ'.

Example2024-11-26T10:02:03.482Z
url
string

Multi invoice payment link URL to be sent to the payment subject.

Max length2048
Pattern^(www|http:|https:)+[^\s]+[\w]$
Examplehttps://pagonx.com/?id=V1PELwCuelhKCr
paymentMethods
Array of string

Payment methods available for the payment link.

Max items3
Example[ "BANK_TRANSFER", "LOCAL_TRANSFER" ]
string
Valid values[ "BANK_TRANSFER", "LOCAL_TRANSFER", "CARD_PAYMENT" ]
_links
object

Single links response object.

self
object

Self links response object.

href
string

Self response link href.

Max length999
Pattern^(www|http:|https:)+[^\s]+[\w]$
Examplehttps://host/?_offset=0&_limit=10
400

Indicates that the server would not process the request due to something the server considered to be a client error.

example-1
{
  "errors": [
    {
      "code": "BAD_REQUEST",
      "message": "Bad Request",
      "level": "FATAL",
      "description": "Description of the Bad Request error"
    }
  ]
}
Expand All
object

Data structure containing the details for errors

errors
Array of object (Error)

Array of response errors.

Min items0
Max items50
object

Data structure containing the error details.

code
string

Unique alphanumeric human readable error code.

Min length1
Max length25
Pattern^[a-zA-Z_0-9 ]*$
ExampleXXX
message
string

Brief summary of the reported issue.

Min length1
Max length255
Pattern^[a-zA-Z0-9. /_-]*$
ExampleMessage
level
string

Level of the reported issue. The possible values are.

  • ERROR
  • FATAL
  • INFO
  • WARNING.
Valid values[ "ERROR", "FATAL", "INFO", "WARNING" ]
ExampleERROR
description
string

Detailed description of the reported issue.

Min length1
Max length255
Pattern^[a-zA-Z0-9. /_-]*$
ExampleDescription
401

Indicates that a request was not successful because it lacks valid authentication credentials for the requested resource.

example-1
{
  "errors": [
    {
      "code": "UNAUTHORIZED",
      "message": "Unauthorized",
      "level": "FATAL",
      "description": "Description of the Unauthorized error"
    }
  ]
}
Expand All
object

Data structure containing the details for errors

errors
Array of object (Error)

Array of response errors.

Min items0
Max items50
object

Data structure containing the error details.

code
string

Unique alphanumeric human readable error code.

Min length1
Max length25
Pattern^[a-zA-Z_0-9 ]*$
ExampleXXX
message
string

Brief summary of the reported issue.

Min length1
Max length255
Pattern^[a-zA-Z0-9. /_-]*$
ExampleMessage
level
string

Level of the reported issue. The possible values are.

  • ERROR
  • FATAL
  • INFO
  • WARNING.
Valid values[ "ERROR", "FATAL", "INFO", "WARNING" ]
ExampleERROR
description
string

Detailed description of the reported issue.

Min length1
Max length255
Pattern^[a-zA-Z0-9. /_-]*$
ExampleDescription
403

Indicates that the server understood the request but refused to process it.

example-1
{
  "errors": [
    {
      "code": "FORBIDDEN",
      "message": "Forbidden",
      "level": "FATAL",
      "description": "Description of the Forbidden error"
    }
  ]
}
Expand All
object

Data structure containing the details for errors

errors
Array of object (Error)

Array of response errors.

Min items0
Max items50
object

Data structure containing the error details.

code
string

Unique alphanumeric human readable error code.

Min length1
Max length25
Pattern^[a-zA-Z_0-9 ]*$
ExampleXXX
message
string

Brief summary of the reported issue.

Min length1
Max length255
Pattern^[a-zA-Z0-9. /_-]*$
ExampleMessage
level
string

Level of the reported issue. The possible values are.

  • ERROR
  • FATAL
  • INFO
  • WARNING.
Valid values[ "ERROR", "FATAL", "INFO", "WARNING" ]
ExampleERROR
description
string

Detailed description of the reported issue.

Min length1
Max length255
Pattern^[a-zA-Z0-9. /_-]*$
ExampleDescription
404

Indicates that the server cannot find the requested resource.

example-1
{
  "errors": [
    {
      "code": "NOT_FOUND",
      "message": "Not Found",
      "level": "FATAL",
      "description": "Description of the Not Found error"
    }
  ]
}
Expand All
object

Data structure containing the details for errors

errors
Array of object (Error)

Array of response errors.

Min items0
Max items50
object

Data structure containing the error details.

code
string

Unique alphanumeric human readable error code.

Min length1
Max length25
Pattern^[a-zA-Z_0-9 ]*$
ExampleXXX
message
string

Brief summary of the reported issue.

Min length1
Max length255
Pattern^[a-zA-Z0-9. /_-]*$
ExampleMessage
level
string

Level of the reported issue. The possible values are.

  • ERROR
  • FATAL
  • INFO
  • WARNING.
Valid values[ "ERROR", "FATAL", "INFO", "WARNING" ]
ExampleERROR
description
string

Detailed description of the reported issue.

Min length1
Max length255
Pattern^[a-zA-Z0-9. /_-]*$
ExampleDescription
406

Not Acceptable The Accept header does not specifically contain one of the allowable types. Missing Accept header, usually 'application/json'.

example-1
{
  "errors": [
    {
      "code": "NOT_ACCEPTABLE",
      "message": "Not Acceptable",
      "level": "FATAL",
      "description": "Description of the Not Acceptable error"
    }
  ]
}
Expand All
object

Data structure containing the details for errors

errors
Array of object (Error)

Array of response errors.

Min items0
Max items50
object

Data structure containing the error details.

code
string

Unique alphanumeric human readable error code.

Min length1
Max length25
Pattern^[a-zA-Z_0-9 ]*$
ExampleXXX
message
string

Brief summary of the reported issue.

Min length1
Max length255
Pattern^[a-zA-Z0-9. /_-]*$
ExampleMessage
level
string

Level of the reported issue. The possible values are.

  • ERROR
  • FATAL
  • INFO
  • WARNING.
Valid values[ "ERROR", "FATAL", "INFO", "WARNING" ]
ExampleERROR
description
string

Detailed description of the reported issue.

Min length1
Max length255
Pattern^[a-zA-Z0-9. /_-]*$
ExampleDescription
413

Request Entity Too Large Most web servers have a limit of 8192 bytes (8 KB). The server will close the connection to prevent the client from continuing the request.

example-1
{
  "errors": [
    {
      "code": "ENTITY_TOO_LARGE",
      "message": "Request Entity Too Large",
      "level": "FATAL",
      "description": "Description of the Request Entity Too Large error"
    }
  ]
}
Expand All
object

Data structure containing the details for errors

errors
Array of object (Error)

Array of response errors.

Min items0
Max items50
object

Data structure containing the error details.

code
string

Unique alphanumeric human readable error code.

Min length1
Max length25
Pattern^[a-zA-Z_0-9 ]*$
ExampleXXX
message
string

Brief summary of the reported issue.

Min length1
Max length255
Pattern^[a-zA-Z0-9. /_-]*$
ExampleMessage
level
string

Level of the reported issue. The possible values are.

  • ERROR
  • FATAL
  • INFO
  • WARNING.
Valid values[ "ERROR", "FATAL", "INFO", "WARNING" ]
ExampleERROR
description
string

Detailed description of the reported issue.

Min length1
Max length255
Pattern^[a-zA-Z0-9. /_-]*$
ExampleDescription
414

Indicates that a URI requested by the client was longer than the server is willing to interpret.

err414Example
{
  "errors": [
    {
      "code": "URI_TOO_LONG",
      "level": "FATAL",
      "message": "URI Too Long",
      "description": "URI Too Long description"
    }
  ]
}
Expand All
object

Data structure containing the details for errors

errors
Array of object (Error)

Array of response errors.

Min items0
Max items50
object

Data structure containing the error details.

code
string

Unique alphanumeric human readable error code.

Min length1
Max length25
Pattern^[a-zA-Z_0-9 ]*$
ExampleXXX
message
string

Brief summary of the reported issue.

Min length1
Max length255
Pattern^[a-zA-Z0-9. /_-]*$
ExampleMessage
level
string

Level of the reported issue. The possible values are.

  • ERROR
  • FATAL
  • INFO
  • WARNING.
Valid values[ "ERROR", "FATAL", "INFO", "WARNING" ]
ExampleERROR
description
string

Detailed description of the reported issue.

Min length1
Max length255
Pattern^[a-zA-Z0-9. /_-]*$
ExampleDescription
415

Unsupported Media Type. The requested content type is not supported by the REST service.

example-1
{
  "errors": [
    {
      "code": "UNSUPPORTED_MEDIA_TYPE",
      "message": "Unsupported Media Type",
      "level": "FATAL",
      "description": "Description of the Unsupported Media Type error"
    }
  ]
}
Expand All
object

Data structure containing the details for errors

errors
Array of object (Error)

Array of response errors.

Min items0
Max items50
object

Data structure containing the error details.

code
string

Unique alphanumeric human readable error code.

Min length1
Max length25
Pattern^[a-zA-Z_0-9 ]*$
ExampleXXX
message
string

Brief summary of the reported issue.

Min length1
Max length255
Pattern^[a-zA-Z0-9. /_-]*$
ExampleMessage
level
string

Level of the reported issue. The possible values are.

  • ERROR
  • FATAL
  • INFO
  • WARNING.
Valid values[ "ERROR", "FATAL", "INFO", "WARNING" ]
ExampleERROR
description
string

Detailed description of the reported issue.

Min length1
Max length255
Pattern^[a-zA-Z0-9. /_-]*$
ExampleDescription
422

Indicates that the server understood the content type of the request content, and the syntax of the request content was correct, but it was unable to process the contained instructions.

err422Example
{
  "errors": [
    {
      "code": "UNPROCESSABLE_ENTITY",
      "level": "FATAL",
      "message": "Unprocessable Entity",
      "description": "Unprocessable Entity description"
    }
  ]
}
Expand All
object

Data structure containing the details for errors

errors
Array of object (Error)

Array of response errors.

Min items0
Max items50
object

Data structure containing the error details.

code
string

Unique alphanumeric human readable error code.

Min length1
Max length25
Pattern^[a-zA-Z_0-9 ]*$
ExampleXXX
message
string

Brief summary of the reported issue.

Min length1
Max length255
Pattern^[a-zA-Z0-9. /_-]*$
ExampleMessage
level
string

Level of the reported issue. The possible values are.

  • ERROR
  • FATAL
  • INFO
  • WARNING.
Valid values[ "ERROR", "FATAL", "INFO", "WARNING" ]
ExampleERROR
description
string

Detailed description of the reported issue.

Min length1
Max length255
Pattern^[a-zA-Z0-9. /_-]*$
ExampleDescription
429

Indicates the client has sent too many requests in a given amount of time.

err429Example
{
  "errors": [
    {
      "code": "TOO_MANY_REQUESTS",
      "level": "ERROR",
      "message": "Too Many Requests",
      "description": "Too Many Requests description"
    }
  ]
}
Expand All
object

Data structure containing the details for errors

errors
Array of object (Error)

Array of response errors.

Min items0
Max items50
object

Data structure containing the error details.

code
string

Unique alphanumeric human readable error code.

Min length1
Max length25
Pattern^[a-zA-Z_0-9 ]*$
ExampleXXX
message
string

Brief summary of the reported issue.

Min length1
Max length255
Pattern^[a-zA-Z0-9. /_-]*$
ExampleMessage
level
string

Level of the reported issue. The possible values are.

  • ERROR
  • FATAL
  • INFO
  • WARNING.
Valid values[ "ERROR", "FATAL", "INFO", "WARNING" ]
ExampleERROR
description
string

Detailed description of the reported issue.

Min length1
Max length255
Pattern^[a-zA-Z0-9. /_-]*$
ExampleDescription
500

Indicates that the server encountered an unexpected condition that prevented it from fulfilling the request.

err500Example
{
  "errors": [
    {
      "code": "INTERNAL_SERVER_ERROR",
      "level": "FATAL",
      "message": "Internal server error",
      "description": "Internal server error description"
    }
  ]
}
Expand All
object

Data structure containing the details for errors

errors
Array of object (Error)

Array of response errors.

Min items0
Max items50
object

Data structure containing the error details.

code
string

Unique alphanumeric human readable error code.

Min length1
Max length25
Pattern^[a-zA-Z_0-9 ]*$
ExampleXXX
message
string

Brief summary of the reported issue.

Min length1
Max length255
Pattern^[a-zA-Z0-9. /_-]*$
ExampleMessage
level
string

Level of the reported issue. The possible values are.

  • ERROR
  • FATAL
  • INFO
  • WARNING.
Valid values[ "ERROR", "FATAL", "INFO", "WARNING" ]
ExampleERROR
description
string

Detailed description of the reported issue.

Min length1
Max length255
Pattern^[a-zA-Z0-9. /_-]*$
ExampleDescription
503

Indicates that the server is not ready to handle the request.

err503Example
{
  "errors": [
    {
      "code": "SERVICE_UNAVAILABLE",
      "level": "ERROR",
      "message": "Service unavailable",
      "description": "Service unavailable error description"
    }
  ]
}
healthFailedExample
{
  "errors": [
    {
      "code": "fail",
      "level": "ERROR",
      "message": "Health check failed",
      "description": "Health check failed"
    }
  ]
}
Expand All
object

Data structure containing the details for errors

errors
Array of object (Error)

Array of response errors.

Min items0
Max items50
object

Data structure containing the error details.

code
string

Unique alphanumeric human readable error code.

Min length1
Max length25
Pattern^[a-zA-Z_0-9 ]*$
ExampleXXX
message
string

Brief summary of the reported issue.

Min length1
Max length255
Pattern^[a-zA-Z0-9. /_-]*$
ExampleMessage
level
string

Level of the reported issue. The possible values are.

  • ERROR
  • FATAL
  • INFO
  • WARNING.
Valid values[ "ERROR", "FATAL", "INFO", "WARNING" ]
ExampleERROR
description
string

Detailed description of the reported issue.

Min length1
Max length255
Pattern^[a-zA-Z0-9. /_-]*$
ExampleDescription
504

Indicates that the server, while acting as a gateway or proxy, did not get a response in time from the upstream server in order to complete the request.

err504Example
{
  "errors": [
    {
      "code": "GATEWAY_TIMEOUT",
      "level": "ERROR",
      "message": "Gateway timeout",
      "description": "Gateway timeout error description"
    }
  ]
}
Expand All
object

Data structure containing the details for errors

errors
Array of object (Error)

Array of response errors.

Min items0
Max items50
object

Data structure containing the error details.

code
string

Unique alphanumeric human readable error code.

Min length1
Max length25
Pattern^[a-zA-Z_0-9 ]*$
ExampleXXX
message
string

Brief summary of the reported issue.

Min length1
Max length255
Pattern^[a-zA-Z0-9. /_-]*$
ExampleMessage
level
string

Level of the reported issue. The possible values are.

  • ERROR
  • FATAL
  • INFO
  • WARNING.
Valid values[ "ERROR", "FATAL", "INFO", "WARNING" ]
ExampleERROR
description
string

Detailed description of the reported issue.

Min length1
Max length255
Pattern^[a-zA-Z0-9. /_-]*$
ExampleDescription
default

Error used by efault.

errDefaultExample
{
  "errors": [
    {
      "code": "INTERNAL_SERVER_ERROR",
      "level": "FATAL",
      "message": "Error message",
      "description": "Error description"
    }
  ]
}
Expand All
object

Data structure containing the details for errors

errors
Array of object (Error)

Array of response errors.

Min items0
Max items50
object

Data structure containing the error details.

code
string

Unique alphanumeric human readable error code.

Min length1
Max length25
Pattern^[a-zA-Z_0-9 ]*$
ExampleXXX
message
string

Brief summary of the reported issue.

Min length1
Max length255
Pattern^[a-zA-Z0-9. /_-]*$
ExampleMessage
level
string

Level of the reported issue. The possible values are.

  • ERROR
  • FATAL
  • INFO
  • WARNING.
Valid values[ "ERROR", "FATAL", "INFO", "WARNING" ]
ExampleERROR
description
string

Detailed description of the reported issue.

Min length1
Max length255
Pattern^[a-zA-Z0-9. /_-]*$
ExampleDescription